## crtmpserver 0.0~dfsg+svn421

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.3)

IF(DEFINED CMAKE_BUILD_TYPE)
     SET(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel")
ELSE(DEFINED CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel")
ENDIF(DEFINED CMAKE_BUILD_TYPE)

PROJECT(all)

IF(NOT DEFINED CRTMPSERVER_SOURCES_ROOT)
	SET(CRTMPSERVER_SOURCES_ROOT "../../sources")
ENDIF(NOT DEFINED CRTMPSERVER_SOURCES_ROOT)
GET_FILENAME_COMPONENT(CRTMPSERVER_SOURCES_ROOT "${CRTMPSERVER_SOURCES_ROOT}" ABSOLUTE)
#MESSAGE("CRTMPSERVER_SOURCES_ROOT: ${CRTMPSERVER_SOURCES_ROOT}")

IF(NOT DEFINED CRTMPSERVER_CONSTANTS_ROOT)
    SET(CRTMPSERVER_CONSTANTS_ROOT "../../constants")
ENDIF(NOT DEFINED CRTMPSERVER_CONSTANTS_ROOT)
GET_FILENAME_COMPONENT(CRTMPSERVER_CONSTANTS_ROOT "${CRTMPSERVER_CONSTANTS_ROOT}" ABSOLUTE)
#MESSAGE("CRTMPSERVER_CONSTANTS_ROOT: ${CRTMPSERVER_CONSTANTS_ROOT}")

IF(NOT DEFINED CRTMPSERVER_3RDPARTY_ROOT)
	SET(CRTMPSERVER_3RDPARTY_ROOT "../../3rdparty")
ENDIF(NOT DEFINED CRTMPSERVER_3RDPARTY_ROOT)
GET_FILENAME_COMPONENT(CRTMPSERVER_3RDPARTY_ROOT "${CRTMPSERVER_3RDPARTY_ROOT}" ABSOLUTE)
#MESSAGE("CRTMPSERVER_3RDPARTY_ROOT: ${CRTMPSERVER_3RDPARTY_ROOT}")

SET(CRTMPSERVER_ROOT "lib/crtmpserver")

IF(DEFINED CRTMPSERVER_INSTALL_PREFIX)
	SET(CMAKE_INSTALL_PREFIX ${CRTMPSERVER_INSTALL_PREFIX})
	SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
	SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
	SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CRTMPSERVER_ROOT}")
	SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CRTMPSERVER_ROOT}")
ELSE(DEFINED CRTMPSERVER_INSTALL_PREFIX)
	SET(CMAKE_INSTALL_PREFIX /tmp/crtmpserver)
ENDIF(DEFINED CRTMPSERVER_INSTALL_PREFIX)

#sample commit to trigger HUDSON

#detect additional libraries
SET(OpenSSL_FIND_REQUIRED true)
SET(CRYPTO_FIND_REQUIRED true)
INCLUDE(cmake_find_modules/Find_openssl.cmake)

IF(NOT DEFINED NO_USE_DL)
	INCLUDE(cmake_find_modules/Find_dl.cmake)
ENDIF(NOT DEFINED NO_USE_DL)

INCLUDE(cmake_find_modules/pch_support.cmake)
INCLUDE(CMakeDetermineSystem)
INCLUDE(TestBigEndian)


#setup the endianess if not already defined in toolchain file
if(NOT DEFINED NO_ENDIANESS)
	TEST_BIG_ENDIAN(ENDIANESS)
	IF(ENDIANESS)
		ADD_DEFINITIONS(-DBIG_ENDIAN_BYTE_ALIGNED)
	ELSE(ENDIANESS)
		ADD_DEFINITIONS(-DLITTLE_ENDIAN_BYTE_ALIGNED)
	ENDIF(ENDIANESS)
ENDIF(NOT DEFINED NO_ENDIANESS)

#supported protocols
ADD_DEFINITIONS(-DHAS_PROTOCOL_HTTP)
ADD_DEFINITIONS(-DHAS_PROTOCOL_RTMP)
ADD_DEFINITIONS(-DHAS_PROTOCOL_RTMFP)
ADD_DEFINITIONS(-DHAS_PROTOCOL_LIVEFLV)
ADD_DEFINITIONS(-DHAS_PROTOCOL_RTP)
ADD_DEFINITIONS(-DHAS_PROTOCOL_TS)
ADD_DEFINITIONS(-DHAS_PROTOCOL_VAR)
ADD_DEFINITIONS(-DHAS_PROTOCOL_CLI)
ADD_DEFINITIONS(-DHAS_LUA)
ADD_DEFINITIONS(-DHAS_MEDIA_MP3)
ADD_DEFINITIONS(-DHAS_MEDIA_MP4)
ADD_DEFINITIONS(-DHAS_MEDIA_FLV)
ADD_DEFINITIONS(-DHAS_MEDIA_NSV)

#memory pool
#ADD_DEFINITIONS(-DUSE_MEM_POOL)
#ADD_DEFINITIONS(-DDEBUG_MEM_POOL)

SET(GENERIC_FLAGS "-Wall -Werror")

MESSAGE(STATUS "We have a ${CMAKE_SYSTEM} system")
IF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
	SET(GENERIC_FLAGS "${GENERIC_FLAGS} -fPIC")
	IF(DEFINED SOCKREACTOR)
		ADD_DEFINITIONS(-D${SOCKREACTOR})
	ELSE(DEFINED SOCKREACTOR)
		ADD_DEFINITIONS(-DNET_KQUEUE)
	ENDIF(DEFINED SOCKREACTOR)
	STRING(TOLOWER ${CMAKE_SYSTEM} TEMP_CMAKE_SYSTEM)
	STRING(REGEX MATCH "kfreebsd*" TEMP_CMAKE_SYSTEM_MATCH ${TEMP_CMAKE_SYSTEM})
	IF(TEMP_CMAKE_SYSTEM_MATCH MATCHES "kfreebsd")
		ADD_DEFINITIONS(-DDFREEBSD)
	ELSE(TEMP_CMAKE_SYSTEM_MATCH MATCHES "kfreebsd")
		ADD_DEFINITIONS(-DFREEBSD)
		INCLUDE(cmake_find_modules/Find_execinfo.cmake)
	ENDIF(TEMP_CMAKE_SYSTEM_MATCH MATCHES "kfreebsd")
ELSEIF(CMAKE_SYSTEM_NAME MATCHES "Darwin")
	SET(GENERIC_FLAGS "${GENERIC_FLAGS} -mmacosx-version-min=10.5")
	ADD_DEFINITIONS(-DOSX)
	IF(DEFINED SOCKREACTOR)
		ADD_DEFINITIONS(-D${SOCKREACTOR})
	ELSE(DEFINED SOCKREACTOR)
		ADD_DEFINITIONS(-DNET_KQUEUE)
	ENDIF(DEFINED SOCKREACTOR)
ELSEIF(CMAKE_SYSTEM_NAME MATCHES "Linux")
	SET(GENERIC_FLAGS "${GENERIC_FLAGS} -fPIC")
	ADD_DEFINITIONS(-DLINUX)
	IF(DEFINED SOCKREACTOR)
		ADD_DEFINITIONS(-D${SOCKREACTOR})
	ELSE(DEFINED SOCKREACTOR)
		ADD_DEFINITIONS(-DNET_EPOLL)
	ENDIF(DEFINED SOCKREACTOR)
ELSEIF(CMAKE_SYSTEM_NAME MATCHES "SunOS")
	SET(GENERIC_FLAGS "${GENERIC_FLAGS} -fPIC")
	ADD_DEFINITIONS(-DSOLARIS)
	ADD_DEFINITIONS(-DDONT_DEFINE_HTONLL)
	ADD_DEFINITIONS(-DNET_SELECT)
	SET(SOCKET_LIB "-lsocket")
ELSE(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
	MESSAGE(FATAL_ERROR "Platform ${CMAKE_SYSTEM_NAME} not supported yet")
ENDIF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")

IF(DEFINED MY_OUTPUT_DIRECTORY)
	SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
	SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
	SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
	SET(CMAKE_INSTALL_PREFIX "$ORIGIN")
	SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}")
ENDIF(DEFINED MY_OUTPUT_DIRECTORY)

#debug/release
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GENERIC_FLAGS}")
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GENERIC_FLAGS}")
SET(CMAKE_CXX_FLAGS_DEBUG "-g -O0 -DWITH_SANITY_INPUT_BUFFER -DVALIDATE_FROMAT_SPECIFIERS -Wformat=2")
SET(CMAKE_CXX_FLAGS_RELEASE "-fno-strict-aliasing")
#SET(CMAKE_VERBOSE_MAKEFILE TRUE)

#generate defines.h
IF (EXISTS ${CRTMPSERVER_SOURCES_ROOT}/common/include/defines.h)
	MESSAGE(STATUS "Defines are in place")
ELSE (EXISTS ${CRTMPSERVER_SOURCES_ROOT}/common/include/defines.h)
	MESSAGE(STATUS "We need to rebuild the defines")
	EXECUTE_PROCESS(COMMAND lua ${CRTMPSERVER_CONSTANTS_ROOT}/constants.lua cpp ${CRTMPSERVER_SOURCES_ROOT}/common/include/defines.h)
ENDIF(EXISTS ${CRTMPSERVER_SOURCES_ROOT}/common/include/defines.h)


#ADD_DEFINITIONS(-DHAS_SAFE_LOGGER)
INCLUDE(cmake_find_modules/Find_lua.cmake)
IF(NOT LUA_FOUND)
	ADD_SUBDIRECTORY(lua lua)
ENDIF(NOT LUA_FOUND)
INCLUDE(cmake_find_modules/Find_tinyxml.cmake)
IF(NOT TINYXML_FOUND)
	ADD_SUBDIRECTORY(tinyxml tinyxml)
ENDIF(NOT TINYXML_FOUND)
ADD_SUBDIRECTORY(common common)
ADD_SUBDIRECTORY(thelib thelib)
ADD_SUBDIRECTORY(crtmpserver crtmpserver)
ADD_SUBDIRECTORY(applications applications)
#ADD_SUBDIRECTORY(androidapplestreaming androidapplestreaming)

ADD_DEFINITIONS(-DVM_LUA)
ADD_SUBDIRECTORY(vm vm)
ADD_SUBDIRECTORY(vmtests vmtests)
ADD_SUBDIRECTORY(tests)

=== admin/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(admin)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/applications/admin/src/*.cpp" )

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CRTMPSERVER_ROOT}/${PROJECT_NAME}")

#prepare the include directories
INCLUDE_DIRECTORIES(
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/thelib/include
	${CRTMPSERVER_SOURCES_ROOT}/applications/admin/include
	)

#create THE library
ADD_LIBRARY(admin SHARED ${SOURCES})
TARGET_LINK_LIBRARIES(admin thelib)
ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT}/${PROJECT_NAME})

=== applestreamingclient/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(applestreamingclient)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/applications/applestreamingclient/src/*.cpp" )

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CRTMPSERVER_ROOT}/${PROJECT_NAME}")

#prepare the include directories
INCLUDE_DIRECTORIES(
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/thelib/include
	${CRTMPSERVER_SOURCES_ROOT}/applications/applestreamingclient/include
	)

#create THE library
ADD_LIBRARY(applestreamingclient SHARED ${SOURCES})
TARGET_LINK_LIBRARIES(applestreamingclient thelib)
ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT}/${PROJECT_NAME})

=== appselector/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(appselector)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/applications/appselector/src/*.cpp" )

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CRTMPSERVER_ROOT}/${PROJECT_NAME}")

#prepare the include directories
INCLUDE_DIRECTORIES(
	${OPENSSL_INCLUDE_PATH}
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/thelib/include
	${CRTMPSERVER_SOURCES_ROOT}/applications/appselector/include
	)

#create THE library
ADD_LIBRARY(appselector SHARED ${SOURCES})
TARGET_LINK_LIBRARIES(appselector thelib)
ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT}/${PROJECT_NAME})

=== flvplayback/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(flvplayback)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/applications/flvplayback/src/*.cpp" )

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CRTMPSERVER_ROOT}/${PROJECT_NAME}")

#prepare the include directories
INCLUDE_DIRECTORIES(
	${OPENSSL_INCLUDE_PATH}
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/thelib/include
	${CRTMPSERVER_SOURCES_ROOT}/applications/flvplayback/include
	)

#create THE library
ADD_LIBRARY(flvplayback SHARED ${SOURCES})
TARGET_LINK_LIBRARIES(flvplayback thelib)
ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT}/${PROJECT_NAME})

=== proxypublish/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(proxypublish)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/applications/proxypublish/src/*.cpp" )

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CRTMPSERVER_ROOT}/${PROJECT_NAME}")

#prepare the include directories
INCLUDE_DIRECTORIES(
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/thelib/include
	${CRTMPSERVER_SOURCES_ROOT}/applications/proxypublish/include
	)

#create THE library
ADD_LIBRARY(proxypublish SHARED ${SOURCES})
TARGET_LINK_LIBRARIES(proxypublish thelib)
ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT}/${PROJECT_NAME})

=== samplefactory/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(samplefactory)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/applications/samplefactory/src/*.cpp" )

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CRTMPSERVER_ROOT}/${PROJECT_NAME}")

#prepare the include directories
INCLUDE_DIRECTORIES(
	${OPENSSL_INCLUDE_PATH}
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/thelib/include
	${CRTMPSERVER_SOURCES_ROOT}/applications/samplefactory/include
	)

#create THE library
ADD_LIBRARY(samplefactory SHARED ${SOURCES})
TARGET_LINK_LIBRARIES(samplefactory thelib)
ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT}/${PROJECT_NAME})

=== stresstest/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(stresstest)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/applications/stresstest/src/*.cpp" )

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CRTMPSERVER_ROOT}/${PROJECT_NAME}")

#prepare the include directories
INCLUDE_DIRECTORIES(
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/thelib/include
	${CRTMPSERVER_SOURCES_ROOT}/applications/stresstest/include
	)

#create THE library
ADD_LIBRARY(stresstest SHARED ${SOURCES})
TARGET_LINK_LIBRARIES(stresstest thelib)
ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT}/${PROJECT_NAME})

=== vptests/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(vptests)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/applications/vptests/src/*.cpp" )

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CRTMPSERVER_ROOT}/${PROJECT_NAME}")

#prepare the include directories
INCLUDE_DIRECTORIES(
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/thelib/include
	${CRTMPSERVER_SOURCES_ROOT}/applications/vptests/include
	)

#create THE library
ADD_LIBRARY(vptests SHARED ${SOURCES})
TARGET_LINK_LIBRARIES(vptests thelib)
ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT}/${PROJECT_NAME})

=== debian/changelog ===
crtmpserver (0.0~dfsg+svn421-2build1) oneiric; urgency=low

  * Rebuild for tinyxml 2.6.2.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 28 May 2011 09:19:42 +0200

crtmpserver (0.0~dfsg+svn421-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Bump Standards.

  [ Andriy Beregovenko ]
  * Add example basic configuration and init script
  * Update man page
  * Add debian readme
  * Add patch fixes issue with rvalue access first on some platforms
  * Add patch which fixes big endian implementation

  [ Reinhard Tartler ]
  * drop -Werror from CFLAGS (Closes: #625316)

 -- Andriy Beregovenko <jet@jet.kiev.ua>  Sun, 08 May 2011 11:12:04 +0300

crtmpserver (0.0~dfsg+svn421-1) unstable; urgency=low

  * Initial release (Closes: #617641)

 -- Andriy Beregovenko <jet@jet.kiev.ua>  Fri, 18 Mar 2011 14:30:08 +0200

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_BUILDDIR = obj-$(DEB_BUILD_GNU_TYPE)
DEB_PACKAGE_VERSION  := $(shell dpkg-parsechangelog | awk '/^Version/ {print $$2}')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_PACKAGE_VERSION) | cut -d '-' -f 1 | sed s,~,_, )
DEB_CONFIGURE_FLAGS = \
			-DCRTMPSERVER_INSTALL_PREFIX=/usr \
			-DTEMP_FRAMEWORK_VER="$(DEB_UPSTREAM_VERSION)" \
			-DCRTMPSERVER_SOURCES_ROOT=$(CURDIR)


%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_FLAGS)

## crtmpserver 0.0~dfsg+svn474

=== CMakeLists.txt ===
--- 
+++ 
@@ -64,7 +64,7 @@
 	ENDIF(ENDIANESS)
 ENDIF(NOT DEFINED NO_ENDIANESS)
 
-#supported protocols
+#supported features
 ADD_DEFINITIONS(-DHAS_PROTOCOL_HTTP)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_RTMP)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_RTMFP)
@@ -73,11 +73,42 @@
 ADD_DEFINITIONS(-DHAS_PROTOCOL_TS)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_VAR)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_CLI)
-ADD_DEFINITIONS(-DHAS_LUA)
+#ADD_DEFINITIONS(-DHAS_PROTOCOL_MMS)
 ADD_DEFINITIONS(-DHAS_MEDIA_MP3)
 ADD_DEFINITIONS(-DHAS_MEDIA_MP4)
 ADD_DEFINITIONS(-DHAS_MEDIA_FLV)
 ADD_DEFINITIONS(-DHAS_MEDIA_NSV)
+IF($ENV{COMPILE_STATIC} MATCHES "1")
+	MESSAGE(STATUS "Compile static")
+	ADD_DEFINITIONS(-DCOMPILE_STATIC)
+	SET(LIB_TYPE STATIC)
+	ADD_SUBDIRECTORY(lua lua)
+	ADD_SUBDIRECTORY(tinyxml tinyxml)
+	SET(LUA_LIBRARY_PATH "lua")
+	SET(LUA_INCLUDE_PATH "${CRTMPSERVER_3RDPARTY_ROOT}/lua-dev")
+	SET(TINYXML_LIBRARY_PATH "tinyxml")
+	SET(TINYXML_INCLUDE_PATH "${CRTMPSERVER_3RDPARTY_ROOT}/tinyxml")
+ELSE($ENV{COMPILE_STATIC} MATCHES "1")
+	MESSAGE(STATUS "Compile dynamic")
+	SET(LIB_TYPE SHARED)
+	
+	INCLUDE(cmake_find_modules/Find_lua.cmake)
+	IF(NOT LUA_FOUND)
+		ADD_SUBDIRECTORY(lua lua)
+	ENDIF(NOT LUA_FOUND)
+
+	INCLUDE(cmake_find_modules/Find_tinyxml.cmake)
+	IF(NOT TINYXML_FOUND)
+		ADD_SUBDIRECTORY(tinyxml tinyxml)
+	ENDIF(NOT TINYXML_FOUND)
+ENDIF($ENV{COMPILE_STATIC} MATCHES "1")
+
+ADD_DEFINITIONS(-DHAS_LUA)
+
+INCLUDE(cmake_find_modules/Find_v8.cmake)
+IF(V8_FOUND)
+    ADD_DEFINITIONS(-DHAS_V8)
+ENDIF(V8_FOUND)
 
 #memory pool
 #ADD_DEFINITIONS(-DUSE_MEM_POOL)
@@ -152,22 +183,12 @@
 
 
 #ADD_DEFINITIONS(-DHAS_SAFE_LOGGER)
-INCLUDE(cmake_find_modules/Find_lua.cmake)
-IF(NOT LUA_FOUND)
-	ADD_SUBDIRECTORY(lua lua)
-ENDIF(NOT LUA_FOUND)
-INCLUDE(cmake_find_modules/Find_tinyxml.cmake)
-IF(NOT TINYXML_FOUND)
-	ADD_SUBDIRECTORY(tinyxml tinyxml)
-ENDIF(NOT TINYXML_FOUND)
 ADD_SUBDIRECTORY(common common)
 ADD_SUBDIRECTORY(thelib thelib)
+ADD_SUBDIRECTORY(vm vm)
+ADD_SUBDIRECTORY(applications applications)
 ADD_SUBDIRECTORY(crtmpserver crtmpserver)
-ADD_SUBDIRECTORY(applications applications)
+ADD_SUBDIRECTORY(vmtests vmtests)
+ADD_SUBDIRECTORY(tests)
 #ADD_SUBDIRECTORY(androidapplestreaming androidapplestreaming)
 
-ADD_DEFINITIONS(-DVM_LUA)
-ADD_SUBDIRECTORY(vm vm)
-ADD_SUBDIRECTORY(vmtests vmtests)
-ADD_SUBDIRECTORY(tests)
-

=== applications/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(applications)

SET(CRTMPSERVER_ROOT "${CRTMPSERVER_ROOT}/applications")
SET(ACTIVE_APPS "")
SET(ACTIVE_APPS_LIBS "")
ADD_SUBDIRECTORY(flvplayback flvplayback)
ADD_SUBDIRECTORY(appselector appselector)
ADD_SUBDIRECTORY(samplefactory samplefactory)
ADD_SUBDIRECTORY(vptests vptests)
ADD_SUBDIRECTORY(admin admin)
ADD_SUBDIRECTORY(proxypublish proxypublish)
ADD_SUBDIRECTORY(stresstest stresstest)
ADD_SUBDIRECTORY(applestreamingclient applestreamingclient)
ADD_SUBDIRECTORY(vmapp vmapp)

=== common/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(common)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/common/src/*.cpp" )

#prepare the include directories
INCLUDE_DIRECTORIES(
	${TINYXML_INCLUDE_PATH}
	${OPENSSL_INCLUDE_PATH}
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
)

#create the library
ADD_LIBRARY(${PROJECT_NAME} ${LIB_TYPE} ${SOURCES})
ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
IF(${LIB_TYPE} MATCHES "SHARED")
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${LUA_LIBRARY_PATH} ${TINYXML_LIBRARY_PATH} ${OPENSSL_LIBRARY_PATH} ${CRYPTO_LIBRARY_PATH})
	INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT})
ENDIF(${LIB_TYPE} MATCHES "SHARED")

=== crtmpserver/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(crtmpserver)

#prepare the include directories
INCLUDE_DIRECTORIES(
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/thelib/include
)

IF(${LIB_TYPE} MATCHES "STATIC")
	GET_PROPERTY(APPS_DEFINES GLOBAL PROPERTY ACTIVE_APPS)
	GET_PROPERTY(APPS_LIBS GLOBAL PROPERTY ACTIVE_APPS_LIBS)
	ADD_DEFINITIONS(${APPS_DEFINES})
ELSE(${LIB_TYPE} MATCHES "STATIC")
	SET(APPS_LIBS "")
ENDIF(${LIB_TYPE} MATCHES "STATIC")

IF(NOT DEFINED TEMP_FRAMEWORK_VER)
	EXECUTE_PROCESS(COMMAND svnversion -n ${CRTMPSERVER_SOURCES_ROOT} OUTPUT_VARIABLE TEMP_FRAMEWORK_VER)
	SET(TEMP_FRAMEWORK_VER "0.${TEMP_FRAMEWORK_VER}")
ENDIF(NOT DEFINED TEMP_FRAMEWORK_VER)
ADD_DEFINITIONS(-DRTMPSERVER_VERSION="${TEMP_FRAMEWORK_VER}")

ADD_EXECUTABLE(${PROJECT_NAME} ${CRTMPSERVER_SOURCES_ROOT}/crtmpserver/src/crtmpserver.cpp)

TARGET_LINK_LIBRARIES(${PROJECT_NAME} 
	${OPENSSL_LIBRARY_PATH} 
	${CRYPTO_LIBRARY_PATH}
	${TINYXML_LIBRARY_PATH}
	${LUA_LIBRARY_PATH}
	common
	thelib
	vm
	${APPS_LIBS}
)

ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
INSTALL(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION sbin)
INSTALL(FILES crtmpserver.lua DESTINATION etc)

=== thelib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(thelib)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/thelib/src/*.cpp" )

ADD_DEFINITIONS(-DCreateRTCPPacket=CreateRTCPPacket_mystyle_only_once)
ADD_DEFINITIONS(-DFeedDataAudioMPEG4Generic=FeedDataAudioMPEG4Generic_one_by_one)
ADD_DEFINITIONS(-DHandleTSVideoData=HandleVideoData_version3)


#prepare the include directories
INCLUDE_DIRECTORIES(
	${OPENSSL_INCLUDE_PATH}
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/thelib/include
	)

#create the library
ADD_LIBRARY(${PROJECT_NAME} ${LIB_TYPE} ${SOURCES})
ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
IF(${LIB_TYPE} MATCHES "SHARED")
	TARGET_LINK_LIBRARIES(${PROJECT_NAME} common ${DL_LIBRARY_PATH} ${OPENSSL_LIBRARY_PATH} ${CRYPTO_LIBRARY_PATH})
	INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT})
ENDIF(${LIB_TYPE} MATCHES "SHARED")

=== vm/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(vm)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/vm/src/*.cpp" )

#prepare the include directories
INCLUDE_DIRECTORIES(
	${OPENSSL_INCLUDE_PATH}
	${V8_INCLUDE_PATH}
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/vm/include
	)


IF(${V8_FOUND})
	ADD_DEFINITIONS(-DVM_V8)
ENDIF(${V8_FOUND})


#create the library
ADD_LIBRARY(${PROJECT_NAME} ${LIB_TYPE} ${SOURCES})
ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
IF(${LIB_TYPE} MATCHES "SHARED")
    TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${LUA_LIBRARY_PATH} common pthread ${EXECINFO_LIBRARY_PATH} ${OPENSSL_LIBRARY_PATH} ${CRYPTO_LIBRARY_PATH} ${V8_LIBRARY_PATH})
    INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT})
ENDIF(${LIB_TYPE} MATCHES "SHARED")

=== applications/vmapp/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(vmapp)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/applications/${PROJECT_NAME}/src/*.cpp" )

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CRTMPSERVER_ROOT}/${PROJECT_NAME}")

#prepare the include directories
INCLUDE_DIRECTORIES(
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/thelib/include
	${CRTMPSERVER_SOURCES_ROOT}/vm/include
	${CRTMPSERVER_SOURCES_ROOT}/applications/${PROJECT_NAME}/include
	)

string(TOUPPER ${PROJECT_NAME} TEMP_APP_NAME)
SET_PROPERTY(GLOBAL APPEND PROPERTY ACTIVE_APPS "-DHAS_APP_${TEMP_APP_NAME}")
SET_PROPERTY(GLOBAL APPEND PROPERTY ACTIVE_APPS_LIBS "${PROJECT_NAME}")

#create the library
ADD_LIBRARY(${PROJECT_NAME} ${LIB_TYPE} ${SOURCES})
ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
IF(${LIB_TYPE} MATCHES "SHARED")
    TARGET_LINK_LIBRARIES(${PROJECT_NAME} thelib vm)
    INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT}/${PROJECT_NAME})
ENDIF(${LIB_TYPE} MATCHES "SHARED")

=== debian/changelog ===
crtmpserver (0.0~dfsg+svn474-2) unstable; urgency=low

  * Team upload.
  * Fixed search of libraries in cmake rules (Closes: #642707)
    Thanks to Andriy Beregovenko <jet@jet.kiev.ua> for providing the patch

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 03 Oct 2011 13:20:07 +0200

crtmpserver (0.0~dfsg+svn474-1) unstable; urgency=low

  [ Andriy Beregovenko ]
  * Update debian changelog.
  * Imported Upstream version 0.0~dfsg+svn474.
  * Update patches relative to new upstream upload.

  [ Alessio Treglia ]
  * Add script to retrieve sources from upstream's SVN and regenerate the
    tarball.

 -- Andriy Beregovenko <jet@jet.kiev.ua>  Mon, 06 Jun 2011 19:41:18 +0300

=== debian/control ===
Source: crtmpserver
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Andriy Beregovenko <jet@jet.kiev.ua>
Build-Depends: cmake,
 debhelper (>= 7.3.7~),
 liblua5.1-0-dev,
 libssl-dev,
 libtinyxml-dev
Standards-Version: 3.9.2
Homepage: http://www.rtmpd.com
Vcs-Git: git://git.debian.org/pkg-multimedia/crtmpserver.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/crtmpserver.git;a=summary

Package: crtmpserver
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 openssl,
 liblua5.1-0
Description: High performance RTMP/RTSP streaming server
 crtmpserver is a high performance streaming server able to stream
 (live or recorded) in the following technologies:
  - To and from Flash (RTMP,RTMPE, RTMPS, RTMPT, RTMPTE)
  - To and from embedded devices: iPhone, Android
  - From surveillance cameras
  - IP-TV using MPEG-TS and RTSP/RTCP/RTP protocols
 .
 Also, crtmpserver can be used as a high performance rendes-vous server.
 For example, it enables you to do:
  - Audio/Video conferencing
  - Online gaming
  - Online collaboration
  - Simple/complex chat applications

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_FLAGS)
+
+get-orig-source:
+	debian/get-svn-source.sh

## crtmpserver 0.0~dfsg+svn611.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,11 +44,7 @@
 SET(OpenSSL_FIND_REQUIRED true)
 SET(CRYPTO_FIND_REQUIRED true)
 INCLUDE(cmake_find_modules/Find_openssl.cmake)
-
-IF(NOT DEFINED NO_USE_DL)
-	INCLUDE(cmake_find_modules/Find_dl.cmake)
-ENDIF(NOT DEFINED NO_USE_DL)
-
+INCLUDE(cmake_find_modules/Find_dl.cmake)
 INCLUDE(cmake_find_modules/pch_support.cmake)
 INCLUDE(CMakeDetermineSystem)
 INCLUDE(TestBigEndian)
@@ -67,17 +63,19 @@
 #supported features
 ADD_DEFINITIONS(-DHAS_PROTOCOL_HTTP)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_RTMP)
-ADD_DEFINITIONS(-DHAS_PROTOCOL_RTMFP)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_LIVEFLV)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_RTP)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_TS)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_VAR)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_CLI)
 #ADD_DEFINITIONS(-DHAS_PROTOCOL_MMS)
+ADD_DEFINITIONS(-DHAS_PROTOCOL_HLS)
+ADD_DEFINITIONS(-DHAS_PROTOCOL_RAWHTTPSTREAM)
 ADD_DEFINITIONS(-DHAS_MEDIA_MP3)
 ADD_DEFINITIONS(-DHAS_MEDIA_MP4)
 ADD_DEFINITIONS(-DHAS_MEDIA_FLV)
 ADD_DEFINITIONS(-DHAS_MEDIA_NSV)
+ADD_DEFINITIONS(-DHAS_SYSLOG)
 IF($ENV{COMPILE_STATIC} MATCHES "1")
 	MESSAGE(STATUS "Compile static")
 	ADD_DEFINITIONS(-DCOMPILE_STATIC)
@@ -88,6 +86,12 @@
 	SET(LUA_INCLUDE_PATH "${CRTMPSERVER_3RDPARTY_ROOT}/lua-dev")
 	SET(TINYXML_LIBRARY_PATH "tinyxml")
 	SET(TINYXML_INCLUDE_PATH "${CRTMPSERVER_3RDPARTY_ROOT}/tinyxml")
+	SET(TEMP_EXE_LINK_C_FLAGS "${CMAKE_EXE_LINK_STATIC_C_FLAGS} -static")
+	SET(TEMP_EXE_LINK_CXX_FLAGS "${CMAKE_EXE_LINK_STATIC_CXX_FLAGS} -static")
+	SET(CMAKE_EXE_LINK_DYNAMIC_C_FLAGS ${TEMP_EXE_LINK_C_FLAGS})
+	SET(CMAKE_EXE_LINK_DYNAMIC_CXX_FLAGS ${TEMP_EXE_LINK_CXX_FLAGS})
+	SET(CMAKE_EXE_LINK_STATIC_C_FLAGS ${TEMP_EXE_LINK_C_FLAGS})
+	SET(CMAKE_EXE_LINK_STATIC_CXX_FLAGS ${TEMP_EXE_LINK_CXX_FLAGS})
 ELSE($ENV{COMPILE_STATIC} MATCHES "1")
 	MESSAGE(STATUS "Compile dynamic")
 	SET(LIB_TYPE SHARED)
@@ -103,12 +107,17 @@
 	ENDIF(NOT TINYXML_FOUND)
 ENDIF($ENV{COMPILE_STATIC} MATCHES "1")
 
+#fine tunning
+ADD_DEFINITIONS(-DCreateRTCPPacket=CreateRTCPPacket_mystyle_only_once)
+ADD_DEFINITIONS(-DFeedDataAudioMPEG4Generic=FeedDataAudioMPEG4Generic_one_by_one)
+ADD_DEFINITIONS(-DHandleTSVideoData=HandleVideoData_version3)
+
 ADD_DEFINITIONS(-DHAS_LUA)
 
-INCLUDE(cmake_find_modules/Find_v8.cmake)
-IF(V8_FOUND)
-    ADD_DEFINITIONS(-DHAS_V8)
-ENDIF(V8_FOUND)
+#INCLUDE(cmake_find_modules/Find_v8.cmake)
+#IF(V8_FOUND)
+#    ADD_DEFINITIONS(-DHAS_V8)
+#ENDIF(V8_FOUND)
 
 #memory pool
 #ADD_DEFINITIONS(-DUSE_MEM_POOL)
@@ -116,6 +125,9 @@
 
 SET(GENERIC_FLAGS "-Wall -Werror")
 
+#add 64 bit support for 32 but platforms
+ADD_DEFINITIONS(-D__USE_FILE_OFFSET64)
+ADD_DEFINITIONS(-D_FILE_OFFSET_BITS=64)
 MESSAGE(STATUS "We have a ${CMAKE_SYSTEM} system")
 IF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
 	SET(GENERIC_FLAGS "${GENERIC_FLAGS} -fPIC")
@@ -158,14 +170,6 @@
 	MESSAGE(FATAL_ERROR "Platform ${CMAKE_SYSTEM_NAME} not supported yet")
 ENDIF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
 
-IF(DEFINED MY_OUTPUT_DIRECTORY)
-	SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
-	SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
-	SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
-	SET(CMAKE_INSTALL_PREFIX "$ORIGIN")
-	SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}")
-ENDIF(DEFINED MY_OUTPUT_DIRECTORY)
-
 #debug/release
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GENERIC_FLAGS}")
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GENERIC_FLAGS}")
@@ -185,10 +189,10 @@
 #ADD_DEFINITIONS(-DHAS_SAFE_LOGGER)
 ADD_SUBDIRECTORY(common common)
 ADD_SUBDIRECTORY(thelib thelib)
-ADD_SUBDIRECTORY(vm vm)
+#ADD_SUBDIRECTORY(vm vm)
 ADD_SUBDIRECTORY(applications applications)
 ADD_SUBDIRECTORY(crtmpserver crtmpserver)
-ADD_SUBDIRECTORY(vmtests vmtests)
+#ADD_SUBDIRECTORY(vmtests vmtests)
 ADD_SUBDIRECTORY(tests)
 #ADD_SUBDIRECTORY(androidapplestreaming androidapplestreaming)

=== common/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,14 @@
 ADD_LIBRARY(${PROJECT_NAME} ${LIB_TYPE} ${SOURCES})
 ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
 IF(${LIB_TYPE} MATCHES "SHARED")
-	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${LUA_LIBRARY_PATH} ${TINYXML_LIBRARY_PATH} ${OPENSSL_LIBRARY_PATH} ${CRYPTO_LIBRARY_PATH})
+	TARGET_LINK_LIBRARIES(
+		${PROJECT_NAME} 
+		${LUA_LIBRARY_PATH} 
+		${TINYXML_LIBRARY_PATH} 
+		${OPENSSL_LIBRARY_PATH} 
+		${CRYPTO_LIBRARY_PATH} 
+		${Z_LIBRARY_PATH}
+	)
 	INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT})
 ENDIF(${LIB_TYPE} MATCHES "SHARED")

=== applications/appselector/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(appselector)

#make the list with all the source files
FILE(GLOB_RECURSE SOURCES "${CRTMPSERVER_SOURCES_ROOT}/applications/appselector/src/*.cpp" )

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CRTMPSERVER_ROOT}/${PROJECT_NAME}")

#prepare the include directories
INCLUDE_DIRECTORIES(
	${OPENSSL_INCLUDE_PATH}
	${LUA_INCLUDE_PATH}
	${CRTMPSERVER_SOURCES_ROOT}/common/include
	${CRTMPSERVER_SOURCES_ROOT}/thelib/include
	${CRTMPSERVER_SOURCES_ROOT}/applications/appselector/include
	)

string(TOUPPER ${PROJECT_NAME} TEMP_APP_NAME)
SET_PROPERTY(GLOBAL APPEND PROPERTY ACTIVE_APPS "-DHAS_APP_${TEMP_APP_NAME}")
SET_PROPERTY(GLOBAL APPEND PROPERTY ACTIVE_APPS_LIBS "${PROJECT_NAME}")

#create the library
ADD_LIBRARY(${PROJECT_NAME} ${LIB_TYPE} ${SOURCES})
ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
IF(${LIB_TYPE} MATCHES "SHARED")
    TARGET_LINK_LIBRARIES(${PROJECT_NAME} thelib)
    INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT}/${PROJECT_NAME})
ENDIF(${LIB_TYPE} MATCHES "SHARED")

=== debian/changelog ===
crtmpserver (0.0~dfsg+svn611.1-2) unstable; urgency=low

  * Fixed upgrade from version <= 0.0~dfsg+svn474-2

 -- Andriy Beregovenko <jet@jet.kiev.ua>  Wed, 21 Dec 2011 02:40:04 +0200

crtmpserver (0.0~dfsg+svn611.1-1) unstable; urgency=low

  [ Andriy Beregovenko ]
  * New upstream version.
  * Split package to four packages: crtmpserver-libs, crtmpserver-apps,
    crtmpserver-dev, crtmpserver.
  * Add RC script and defaults file for it.
  * A new configuration system, serving the configuration of the server.
    The system is based on the original configuration file that is divided
    into parts (by applications and features). Read README.Debian for more
    information.

 -- Andriy Beregovenko <jet@jet.kiev.ua>  Mon, 21 Nov 2011 00:55:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>,
+Uploaders:
+ Alessio Treglia <alessio@debian.org>,
  Andriy Beregovenko <jet@jet.kiev.ua>
-Build-Depends: cmake,
+Build-Depends:
+ cmake,
  debhelper (>= 7.3.7~),
  liblua5.1-0-dev,
  libssl-dev,
@@ -12,14 +14,15 @@
 Standards-Version: 3.9.2
 Homepage: http://www.rtmpd.com
 Vcs-Git: git://git.debian.org/pkg-multimedia/crtmpserver.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/crtmpserver.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/crtmpserver.git;a=summary
 
 Package: crtmpserver
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
+ crtmpserver-apps,
+ crtmpserver-libs,
  ${misc:Depends},
- openssl,
- liblua5.1-0
+ ${shlibs:Depends}
 Description: High performance RTMP/RTSP streaming server
  crtmpserver is a high performance streaming server able to stream
  (live or recorded) in the following technologies:
@@ -34,3 +37,64 @@
   - Online gaming
   - Online collaboration
   - Simple/complex chat applications
+
+Package: crtmpserver-libs
+Architecture: any
+Replaces: crtmpserver (<< 0.0~dfsg+svn611.1-1)
+Breaks: crtmpserver (<< 0.0~dfsg+svn611.1-1)
+Depends:
+ liblua5.1-0,
+ libtinyxml2.6.2,
+ openssl,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: shared libraries for the crtmpserver platform
+ crtmpserver is a high performance streaming server able to stream
+ (live or recorded) in the following technologies:
+  - To and from Flash (RTMP,RTMPE, RTMPS, RTMPT, RTMPTE)
+  - To and from embedded devices: iPhone, Android
+  - From surveillance cameras
+  - IP-TV using MPEG-TS and RTSP/RTCP/RTP protocols
+ .
+ This package contains shared libraries('thelib' and 'common') 
+ for the crtmpserver platform and its applications.
+
+Package: crtmpserver-apps
+Architecture: any
+Replaces: crtmpserver (<< 0.0~dfsg+svn611.1-1)
+Breaks: crtmpserver (<< 0.0~dfsg+svn611.1-1)
+Depends:
+ crtmpserver-libs(>= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: base applications for the crtmpserver platform
+ crtmpserver is a high performance streaming server able to stream
+ (live or recorded) in the following technologies:
+  - To and from Flash (RTMP,RTMPE, RTMPS, RTMPT, RTMPTE)
+  - To and from embedded devices: iPhone, Android
+  - From surveillance cameras
+  - IP-TV using MPEG-TS and RTSP/RTCP/RTP protocols
+ .
+ This package contains the set of basic applications that provide
+ most frequently used feature like VOD, live streaming and proxying
+ rtmp/rtsp/mpeg-ts streams.
+
+Package: crtmpserver-dev
+Architecture: any
+Depends:
+ crtmpserver-libs(= ${binary:Version}),
+ liblua5.1-0-dev,
+ libssl-dev,
+ libtinyxml-dev,
+ ${misc:Depends}
+Description: Development files for the crtmpserver platform
+ crtmpserver is a high performance streaming server able to stream
+ (live or recorded) in the following technologies:
+  - To and from Flash (RTMP,RTMPE, RTMPS, RTMPT, RTMPTE)
+  - To and from embedded devices: iPhone, Android
+  - From surveillance cameras
+  - IP-TV using MPEG-TS and RTSP/RTCP/RTP protocols
+ .
+ This package contains header files for base crtmpserver libraries
+ 'common' and 'thelib'.
+

=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,5 @@
 
 get-orig-source:
 	debian/get-svn-source.sh
+
+.PHONY: get-orig-source
